MSWriteParserInternal::Paragraph Struct Reference documentation

MSWriteParserInternal::Paragraph Struct Referencefinal

`#include <MSWrite.h>`

Inheritance diagram for MSWriteParserInternal::Paragraph:

## Public Types
enum | Location { MAIN , HEADER , FOOTER , FOOTNOTE }
Public Types inherited from WPSParagraph
enum | LineSpacingType { Fixed , AtLeast }
| the line spacing type: fixed or at least More...
typedef WPSList::Level | ListLevel

## Public Member Functions
| Paragraph ()
| Paragraph (Paragraph const &)=default
| ~Paragraph () final
Public Member Functions inherited from WPSParagraph
| WPSParagraph ()
| constructor
| WPSParagraph (WPSParagraph const &)=default
WPSParagraph & | operator= (WPSParagraph const &)=default
virtual | ~WPSParagraph ()
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline

## Public Attributes
uint32_t | m_fcFirst
uint32_t | m_fcLim
Location | m_Location
bool | m_graphics
bool | m_firstpage
bool | m_skiptab
bool | m_headerUseMargin
double | m_interLine
WPSPageSpan::HeaderFooterOccurrence | m_HeaderFooterOccurrence
Public Attributes inherited from WPSParagraph
double | m_margins [3]
| the margins
double | m_spacings [3]
| the line spacing
librevenge::RVNGUnit | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ...
LineSpacingType | m_spacingsInterlineType
| the interline type: fixed, atLeast, ...
std::vector< WPSTabStop > | m_tabs
| the tabulations
libwps::Justification | m_justify
| the justification
int | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after)
int | m_listLevelIndex
| the actual level index
ListLevel | m_listLevel
| the actual level
WPSColor | m_backgroundColor
| the background color
int | m_border
| list of bits to indicated a border 1: LeftBorderBit, 2: RightBorderBit, ...
WPSBorder | m_borderStyle
| the border style
std::string | m_extra
| a string to store some errors

## Member Enumeration Documentation

## ◆ Location

enum MSWriteParserInternal::Paragraph::Location

Enumerator
MAIN |
HEADER |
FOOTER |
FOOTNOTE |

## Constructor & Destructor Documentation

## ◆ Paragraph() [1/2]

MSWriteParserInternal::Paragraph::Paragraph | ( |  | ) |
| inline

Referenced by Paragraph().

## ◆ Paragraph() [2/2]

MSWriteParserInternal::Paragraph::Paragraph | ( | Paragraph const & |  | ) |
| default

## ◆ ~Paragraph()

MSWriteParserInternal::Paragraph::~Paragraph | ( |  | ) |
| final

## Member Data Documentation

## ◆ m_fcFirst

uint32_t MSWriteParserInternal::Paragraph::m_fcFirst

Referenced by MSWriteParser::getHeaderFooters(), Paragraph(), DosWordParser::readPAP(), and MSWriteParser::readPAP().

## ◆ m_fcLim

uint32_t MSWriteParserInternal::Paragraph::m_fcLim

Referenced by MSWriteParser::getHeaderFooters(), Paragraph(), DosWordParser::readPAP(), and MSWriteParser::readPAP().

## ◆ m_firstpage

bool MSWriteParserInternal::Paragraph::m_firstpage

Referenced by Paragraph(), DosWordParser::readPAP(), and MSWriteParser::readPAP().

## ◆ m_graphics

bool MSWriteParserInternal::Paragraph::m_graphics

Referenced by MSWriteParser::getHeaderFooters(), Paragraph(), and MSWriteParser::readPAP().

## ◆ m_HeaderFooterOccurrence

WPSPageSpan::HeaderFooterOccurrence MSWriteParserInternal::Paragraph::m_HeaderFooterOccurrence

Referenced by Paragraph(), and DosWordParser::readPAP().

## ◆ m_headerUseMargin

bool MSWriteParserInternal::Paragraph::m_headerUseMargin

Referenced by MSWriteParser::getHeaderFooters(), Paragraph(), and DosWordParser::readPAP().

## ◆ m_interLine

double MSWriteParserInternal::Paragraph::m_interLine

Referenced by Paragraph(), and MSWriteParser::readPAP().

## ◆ m_Location

Location MSWriteParserInternal::Paragraph::m_Location

Referenced by MSWriteParser::getHeaderFooters(), Paragraph(), DosWordParser::readPAP(), and MSWriteParser::readPAP().

## ◆ m_skiptab

bool MSWriteParserInternal::Paragraph::m_skiptab

Referenced by Paragraph(), DosWordParser::readPAP(), and MSWriteParser::readPAP().

The documentation for this struct was generated from the following files:

- MSWrite.h
- MSWrite.cpp